Bug 79981 - nfslock init always OK for statd even when that is not the case.
Summary: nfslock init always OK for statd even when that is not the case.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: nfs-utils
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 12:08 UTC by Steve Dickson
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-15 19:04:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Creates pipe between parent and child so correct status can be returned to rc init script (3.12 KB, patch)
2002-12-18 21:55 UTC, Steve Dickson
no flags Details | Diff
Statd now correctly reports is startup status during boots (3.12 KB, patch)
2003-01-08 18:08 UTC, Steve Dickson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:263 normal SHIPPED_LIVE Updated nfs-utils package 2004-09-01 04:00:00 UTC

Description Steve Dickson 2002-12-18 12:08:11 UTC
From Bugzilla Helper:
User-Agent: Opera/6.1 (Linux 2.4.18-4GB i686; U)  [en]

Description of problem:
The nfslock rc init script reports that
statd has successfully started which may 
or may not be the case.

The problem lies in the fact there
is no communication between the parent
and child process of statd.  

The statd immediately forks a child process
than exits with successful status. This child
process my or may not startup. If it doesn't start,
all NFS locking (via lockd) will fail (or wores
hang) which could mean different process could hang
or fail at different time making it difficult to debug.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.nfslock start
2.nfslock start
3.
   

Additional info:

Comment 1 Steve Dickson 2002-12-18 21:55:37 UTC
Created attachment 88798 [details]
Creates pipe between parent and child so correct status can be returned to rc init script

Comment 2 Steve Dickson 2003-01-08 18:08:27 UTC
Created attachment 89217 [details]
Statd now correctly reports is startup status during boots

Comment 3 Jay Turner 2004-09-02 02:27:41 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-263.html



Note You need to log in before you can comment on or make changes to this bug.